Subject: Re: bug#35857: 26.2; Hangs loading desktop having shell window

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Jun 2019 10:09:42 +0300

> Date: Wed, 22 May 2019 13:43:03 -0000
> From: "Richard Munitz (BLOOMBERG/ 731 LEX)" <[email-masked]>
> 
> I am able to reproduce this problem when having only the following 3
> lines in my .emacs file:
> (desktop-save-mode 1) ; will save state and restore each restart.
> (setq desktop-auto-save-timeout 60)
> (setq desktop-restore-in-current-display t)
> 
> Reproduction steps:
> run "emacs &"
> M-X shell
> ^X1 (Eliminate split window, leaving the shell occupying the full
> window)
> ^X^C (Exit emacs, answering yes to kill shell and y to save desktop)
> run "emacs &"
> emacs now hangs.

Thank you for your report.

I tried to reproduce this, but I don't have access to a system where
both "M-x shell" and "emacs &" will work.

Can someone please reproduce the problem and report where is Emacs
stuck?  Perhaps it is asking some question and waiting for the answer?